.ad-ticket-list {
  padding: 8px 0 8px 16px;
  display: flex;
}
.ad-ticket-list-primary {
  flex: 1;
}
.ad-ticket-list-secondary {
  margin: auto 8px;
  opacity: 0;
  transition: opacity ease .25s;
}
.ad-ticket-list:hover > .ad-ticket-list-secondary {
  opacity: 1;
}

.ad-ticket-list.ticket-list:last-child {
  border-bottom: none;
}

.ad-ticket-list-title {
  font-weight: 600;
}

.ad-ticket-list-info > span {
  margin-right: 4px;
}

.ad-ticket-list-info {
  font-weight: 400;
  color: #707070;
}

.ad-ticket-list-author {
  color: #1d1d1d;
}

.ad-ticket-list-severity {
  margin-left: 4px;
}

.ad-ticket-list-severity-text {
  margin-left: 4px;
}



/* modal */



.ad-ticket-modal {
  display: flex;
}
.ad-ticket-modal-content-header {
  color: gray;
  height: 48px;
  padding: 8px 0;
  border-bottom: 1px solid #c3c3c3;
}
.ad-ticket-modal-content-header > span {
  margin-right: 4px;
}
.ad-ticket-open .ad-ticket-modal-state {
  background: #28a745;
}
.ad-ticket-closed .ad-ticket-modal-state {
  background: #6c6c6c;
}
.ad-ticket-modal-state {
  padding: 1px 6px 3px;
  color: white;
  border-radius: 4px;
}
.ad-ticket-modal-content {
  padding: 6px 6px 6px 8px;
  border-right: 1px solid #c3c3c3;
}
.ad-ticket-modal-title {
  font-weight: 600;
  font-size: 1.5em;
}
.ad-ticket-modal-sidebar {
  overflow: hidden;
  height: 100%;
}
.ad-ticket-modal-wrapper {
  padding: 6px 8px 6px 6px;
}
.ad-ticket-modal-sidebar-header {
  color: gray;
  height: 48px;
  border-bottom: 1px solid #c3c3c3;
  display: flex;
}
.ad-ticket-modal-sidebar-header > * {
  margin: auto;
}
.ad-ticket-modal-close {
  margin-right: 7px;
  color: #de7e00;
  border-color: #de7e00;
}
.ad-ticket-modal-close:hover {
  background-color: #fc9403;
  border-color: #de7e00;
  color: white;
}
button.btn-outline-warning.ad-ticket-modal-close:active {
  background-color: #de7e00 !important;
  border-color: #c26700 !important;
  color: white !important;
}
.ad-ticket-modal-sidebar-item {
  padding: 6px 0;
  border-bottom: 1px solid #c3c3c3;
}
.ad-ticket-item-value.ad-empty {
  color: gray;
}


/* window */

.ad-ticket-window-content-header {
  display: flex;
  align-items: center;
  color: gray;
  height: 48px;
  padding: 8px 0;
  border-bottom: 1px solid #c3c3c3;
}
.ad-ticket-window-content-header > span {
  margin-right: 4px;
}
.ad-ticket-open .ad-ticket-window-state {
  background: #28a745;
}
.ad-ticket-closed .ad-ticket-window-state {
  background: #6c6c6c;
}
.ad-ticket-window-state {
  padding: 1px 6px 3px;
  color: white;
  border-radius: 4px;
}
.ad-ticket-window-content {
  padding: 6px 6px 6px 8px;
  border-right: 1px solid #c3c3c3;
}
.ad-ticket-window-title {
  font-weight: 600;
  font-size: 1.5em;
}


.ad-ticket-window-close {
  margin-right: 7px;
  color: #de7e00;
  border-color: #de7e00;
}
.ad-ticket-window-close:hover {
  background-color: #fc9403;
  border-color: #de7e00;
  color: white;
}
button.btn-outline-warning.ad-ticket-window-close:active {
  background-color: #de7e00 !important;
  border-color: #c26700 !important;
  color: white !important;
}
.ad-ticket-window-spacer {
  flex: 1;
}


.ad-ticket-window-details {
  margin: 8px 0;
  border-top: 1px solid #ccc;
}
.ad-ticket-window-detail > div {
  display: inline-block;
}
.ad-ticket-window-detail-name::after {
  content: ":";
}
.ad-ticket-window-detail-name {
  flex: 0 1 160px;
}
.ad-ticket-window-detail {
  display: flex;
  margin: 8px 0;
  border-bottom: 1px dashed #c5c2c2;
}


.ad-ticket-list::before {
  content: "";
  height: 10px;
  display: inline-block;
  position: absolute;
  width: 10px;
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
}
.ad-ticket-list {
  position: relative;
}
.ad-ticket-list > div {
  margin-left: 16px;
}

.ad-ticket-open::before {
  background: #28a745;
}

.ad-ticket-closed::before {
  background: #6c6c6c;
}

/* skeleton */

.ad-skel-ticket-list {
  height: 64px;
  width: 100%;
  padding: 8px;
}

.ad-skel-ticket-list-title {
  width: 230px;
  margin-bottom: 8px;
}

.ad-skel-ticket-list-info {
  width: 400px;
}